---
updatedAt: 2025-04-28T11:58:15.000Z
agentTools:
  projectIndex: https://developers.wingify.com/v2/llms.txt
---

# Update a feature

Request URL for Workspace

```
PATCH /accounts/account_id//features/feature_id
```

Request Format

```json
{
    "name": "FeatureOne",
    "variables": [
        {
            "id": 1,
            "variableName": "var1",
            "dataType": "string",
            "defaultValue": "val1up"
        },
        {
            "id": 2,
            "variableName": "var2",
            "dataType": "int",
            "defaultValue": 320
        },
        {
            "id": 4,
            "variableName": "var4",
            "dataType": "boolean",
            "defaultValue": true
        },
        {
            "id": 4,
            "variableName": "var5",
            "dataType": "float",
            "defaultValue": 0.4
        }
    ],
    "setting": {
        "isEditable": true,
        "associatedCampaigns": []
    },
    "type": "feature"
}
```

Update a feature

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "4"
  },
  "servers": [
    {
      "url": "https://app.wingify.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "token"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/accounts/{account_id}/features/{feature_id}": {
      "patch": {
        "summary": "Update a feature",
        "description": "",
        "operationId": "update-a-feature",
        "parameters": [
          {
            "name": "account_id",
            "in": "path",
            "description": "Use 'current' keyword to refer to the Main Workspace or the Integer Workspace Id",
            "schema": {
              "type": "string",
              "default": "current"
            },
            "required": true
          },
          {
            "name": "feature_id",
            "in": "path",
            "description": "Feature Id",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": " Collapse source\n{\n    \"_data\": {\n        \"id\": 1,\n        \"name\": \"FeatureOne\",\n        \"accountId\": 1,\n        \"createdOn\": 1621496864,\n        \"modifiedOn\": 1621952220,\n        \"createdBy\": {\n            \"name\": \"Backend Testing\",\n            \"imageUrl\": \"//gravatar.com/avatar/5f32891bf0bda2e1c4a931e72f86975b?s=24&d=https%3A%2F%2Fapp.wingify.com%2Fassets%2Fimages%2Favatar-new-3.png\"\n        },\n        \"variables\": [\n            {\n                \"id\": 1,\n                \"variableName\": \"var1\",\n                \"dataType\": \"string\",\n                \"defaultValue\": \"123\"\n            },\n            {\n                \"id\": 2,\n                \"variableName\": \"var2\",\n                \"dataType\": \"int\",\n                \"defaultValue\": 32\n            },\n            {\n                \"id\": 3,\n                \"variableName\": \"var3\",\n                \"dataType\": \"float\",\n                \"defaultValue\": 4\n            },\n            {\n                \"id\": 4,\n                \"variableName\": \"var4\",\n                \"dataType\": \"boolean\",\n                \"defaultValue\": false\n            }\n        ]\n    }\n}"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```